# Uses of Interface
org.eclipse.emf.cdo.expressions.impl.InvocationImpl.Invocable

Packages that use InvocationImpl.Invocable
Package
Description
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.

## Uses of InvocationImpl.Invocable in org.eclipse.emf.cdo.expressions.impl

Methods in org.eclipse.emf.cdo.expressions.impl that return InvocationImpl.Invocable
Modifier and Type
Method
Description
`protected InvocationImpl.Invocable`
FunctionInvocationImpl.`createConstructor(Constructor<?> constructor)`
`protected InvocationImpl.Invocable`
InvocationImpl.`createMethod(Object object, Method method)`
`protected InvocationImpl.Invocable`
InvocationImpl.`selectInvocable(List<InvocationImpl.Invocable> invocables, Object[] arguments)`
Method parameters in org.eclipse.emf.cdo.expressions.impl with type arguments of type InvocationImpl.Invocable
Modifier and Type
Method
Description
`protected void`
FunctionInvocationImpl.`collectInvocables(EvaluationContext context, String name, List<InvocationImpl.Invocable> invocables)`
`protected abstract void`
InvocationImpl.`collectInvocables(EvaluationContext context, String name, List<InvocationImpl.Invocable> invocables)`
`protected void`
MemberInvocationImpl.`collectInvocables(EvaluationContext context, String name, List<InvocationImpl.Invocable> invocables)`
`protected void`
InvocationImpl.`collectMethods(Object object, Class<?> c, String name, List<InvocationImpl.Invocable> invocables)`
`protected InvocationImpl.Invocable`
InvocationImpl.`selectInvocable(List<InvocationImpl.Invocable> invocables, Object[] arguments)`